/*
 *
 * happytimer - Alarm clock for the GNOME notification area
 *
 *  @Copyright (C) 2007-2011 JinCheol Kim (shriekout@gmail.com).
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <gtk/gtk.h>

GtkStatusIcon *happytimer_statusicon;
GtkWidget *timer_menu;
GtkWidget *timer_window;
GtkWidget *hrs_spinbutton;
GtkWidget *mins_spinbutton;
GtkWidget *secs_spinbutton;
GtkWidget *timerleft_label;
GtkWidget *start_button;
GtkWidget *start_button_image;
GtkWidget *minus_30_button;
GtkWidget *plus_30_button;
GtkWidget *pause_button;
GtkWidget *alarm_window;
GtkWidget *preset_comboboxtext;
GtkWidget *preferences_dialog;
GtkWidget *rtplay_togglebutton;
GtkWidget *tplay_togglebutton;
GtkWidget *preview_image;
GtkWidget *preset_config_comboboxtext;

GtkStatusIcon *create_statusicon(void);
GtkWidget *create_menu(void);
GtkWidget *create_preferencesdialog(void);
void load_timer_window(void);
GtkWidget *create_alarm_window(void);
